Skip to navigation

Delete a single image by ID

View as Markdown

Deletes an image metadata for the specified chain and queues the operation. The operation is asynchronous. The imageId is an MD5 hash (32 character hex string) of the image content.

The physical image file is only deleted when there are no metadata records left across ALL chains for the customer. This allows the same image to be referenced by multiple chains without duplicating storage.

Example Request:

DELETE /images/v1/chain/1/7af0a3950a162be27488d0c1f292f9ab

Response Headers:

  • Location - URL to check the deletion status

Path parameters

chainintegerRequired
The ID of the chain
idstringRequired

The image ID to delete (MD5 hash, 32 character hex string)

Response

Image deletion queued successfully. Check Location header for status tracking URL.

Errors

404
Not Found Error